---
title: Data types & Variable declaration
author: mrtishca
date: 2020-11-11 12:00:00 +0600
categories: [Programing, Tutorial]
tags: [Golang]
render_with_liquid: false
image:
  path: /posts/golang-install.jpg
  width: 1000   # in pixels
  height: 400   # in pixels
  alt: GoLang Install
---

Download and install Go quickly with the steps described here. 

# Download
Click the button below to see the latest Go installers. 
[https://golang.google.cn/dl/](https://golang.google.cn/dl/)


# Go Install
Select the tab for your computer's operating system below, then follow its installation instructions. 

## Windows
Open the MSI file you downloaded and follow the prompts to install Go.

By default, the installer will install Go to Program Files or Program Files (x86). You can change the location as needed. After installing, you will need to close and reopen any open command prompts so that changes to the environment made by the installer are reflected at the command prompt.
    
Verify that you've installed Go.
In Windows, click the Start menu.
In the menu's search box, type cmd, then press the Enter key.
In the Command Prompt window that appears, type the following command:
``` cmd
    $ go version
```
Confirm that the command prints the installed version of Go.

## Mac
In mac exist two different ways to install Go using the official binary or use package manager.
<details>
  <summary markdown="span">Binary install</summary>
  Open the package file you downloaded and follow the prompts to install Go.

  The package installs the Go distribution to /usr/local/go. The package should put the /usr/local/go/bin directory in your PATH environment variable. You may need to restart any open Terminal sessions for the change to take effect.

  Verify that you've installed Go by opening a command prompt and typing the following command:
  ``` bash
      $ go version
  ```
  Confirm that the command prints the installed version of Go.
</details>

<details>
  <summary markdown="span">Homebrew install</summary>
  Step 1: Install [brew](https://brew.sh/)
  ```bash
  user@improving:$ /bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
  ```
  Step 2: Install Go
  ```bash
  user@improving:$ brew install go
  ```
  Verify that you've installed Go by opening a command prompt and typing the following command:
  ``` bash
      $ go version
  ```
  Confirm that the command prints the installed version of Go.

</details>


## Linux

In Linux exist two different ways to install Go using the official binary or package manager.

<details>
  <summary markdown="span">Binary install</summary>
  Remove any previous Go installation by deleting the /usr/local/go folder (if it exists), then extract the archive you just downloaded into /usr/local, creating a fresh Go tree in /usr/local/go:
  
  $ rm -rf /usr/local/go && tar -C /usr/local -xzf go1.19.3.linux-amd64.tar.gz

  (You may need to run the command as root or through sudo).

  Do not untar the archive into an existing /usr/local/go tree. This is known to produce broken Go installations.
  Add /usr/local/go/bin to the PATH environment variable.

  You can do this by adding the following line to your $HOME/.profile or /etc/profile (for a system-wide installation):

  export PATH=$PATH:/usr/local/go/bin

  Note: Changes made to a profile file may not apply until the next time you log into your computer. To apply the changes immediately, just run the shell commands directly or execute them from the profile using a command such as source $HOME/.profile.
  
  Verify that you've installed Go by opening a command prompt and typing the following command:

  ``` bash
    $ go version
  ```

  Confirm that the command prints the installed version of Go.

</details>
<details>
  <summary markdown="span">Package manager install(apt, yum, pacman...)</summary>
  How everyone knows install binaries in linux sometimes is really easy.
  Sometimes you only need run the following command or the package manager of your linux distro.
  
  ```bash
  user@improving:$ apt-get install go -y
  ```
  Verify that you've installed Go by opening a command prompt and typing the following command:

  ``` bash
    $ go version
  ```

  Confirm that the command prints the installed version of Go.

</details>





    





  

 